import React from 'react';
import './LabelsGroup.scss';
import { ArrayElement } from '../../types';
declare type Props = {
    items: Array<{
        name: string;
        isDefault?: boolean;
    }>;
    visibleCount: number;
    disabled?: boolean;
    onClick?: (item: ItemType) => void;
    onRemove?: (item: ItemType) => void;
    onRemoveAll?: () => void;
    renderToggler?: () => React.ReactNode;
};
declare type ItemType = ArrayElement<Props['items']>;
declare const _default: React.ComponentType<Props>;
export default _default;
