import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
var _excluded = ["value", "onChange"];
import React, { Component } from 'react';
import { dfCN } from '../../helpers/cn';
import { TextInput } from '@gravity-ui/uikit';
import { jsx as _jsx } from "react/jsx-runtime";
var block = dfCN('text-control');
var TextControl = /*#__PURE__*/function (_Component) {
  _inherits(TextControl, _Component);
  var _super = _createSuper(TextControl);
  function TextControl() {
    _classCallCheck(this, TextControl);
    return _super.apply(this, arguments);
  }
  _createClass(TextControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = _objectWithoutProperties(_this$props, _excluded);
      var empty = TextControl.isEmpty(value);
      return /*#__PURE__*/_jsx("div", {
        className: block({
          empty: empty
        }),
        children: /*#__PURE__*/_jsx(TextInput, _objectSpread(_objectSpread({
          hasClear: true
        }, rest), {}, {
          autoComplete: false,
          onUpdate: onChange,
          value: value
        }))
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
  return TextControl;
}(Component);
TextControl.defaultProps = {
  extras: {}
};
TextControl.hasErrorRenderer = true;
export default TextControl;
// #sourceMappingURL=TextControl.js.map