"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));
var _react = _interopRequireDefault(require("react"));
var _cn = require("../../helpers/cn");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var block = (0, _cn.dfCN)('plain-text');
var PlainText = /*#__PURE__*/function (_React$Component) {
  (0, _inherits2.default)(PlainText, _React$Component);
  var _super = (0, _createSuper2.default)(PlainText);
  function PlainText() {
    (0, _classCallCheck2.default)(this, PlainText);
    return _super.apply(this, arguments);
  }
  (0, _createClass2.default)(PlainText, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        placeholder = _this$props.placeholder,
        className = _this$props.className;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: block(null, className),
        children: value || /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
          className: block('placeholder'),
          children: placeholder
        })
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
  return PlainText;
}(_react.default.Component);
var _default = PlainText; // #sourceMappingURL=PlainText.js.map
exports.default = _default;
// #sourceMappingURL=PlainText.js.map