import React from 'react';
export interface CollapsedState {
    collapsed: boolean;
}
export interface CollapsedProps {
    items: Array<unknown>;
    visibleCount: number;
    initialExpanded?: boolean;
    renderToggler?: () => void;
}
export default function withCollapsible<P extends CollapsedProps>(Component: React.ComponentType<P>): React.ComponentType<P>;
